/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */
// +-------------------------------------------------------------------------+
// | JavaScript                                                              |
// +-------------------------------------------------------------------------+
// | Copyright (c) 2005 - 2008 Xenophy CO., LTD.                             |
// +-------------------------------------------------------------------------+
// | Authors: Kazuhiro Kotsutsumi <kotsutsumi@xenophy.com>                   |
// +-------------------------------------------------------------------------+

// {{{ Ext.onReady

Ext.onReady(function(){

    // ウィンドウインデックス
    this.winIndex = 1;

    // ウィンドウオープンボタン生成
    this.btnA = new Ext.Button({
        text:'ウィンドウを開く',
        renderTo:'btnOpenWindow',
        listeners:{
            click:{
                scope:this,
                fn:function(){

                    // ウィンドウを生成
                    var win = new Ext.Window({
                        title : 'Window' + this.winIndex,
                        width : 300,
                        height: 200
                    });

                    // イベントリスナー追加
                    this.btnB.addListener(
                        'windowcloaseall',
                        function() {
                            this.close();
                        },
                        win
                    );

                    this.winIndex++;
                    win.show();
                    console.debug( "clicke" );
                }
            }
        }
    });

    // すべてのウィンドウ閉じるボタン生成
    this.btnB = new Ext.Button({
        text:'すべてのウィンドウを閉じる',
        renderTo:'btnCloseAllWindow',
        listeners:{
            click:{
                fn:function(){
                    this.fireEvent( 'windowcloaseall' );
                }
            }
        }
    });
});

// }}}

/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * c-hanging-comment-ender-p: nil
 * End:
 */
